List payment methods
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me/integrations/noah/payouts/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/noah/payouts/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/noah/payouts/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"paymentMethods": [
{
"id": "<string>",
"paymentMethodCategory": "<string>",
"displayDetails": {
"type": "<string>",
"accountNumber": "<string>",
"bankCode": "<string>",
"last4": "<string>",
"scheme": "<string>",
"identifierType": "<string>",
"identifier": "<string>"
},
"country": "<string>",
"customerId": "<string>",
"capabilities": {
"payoutFrom": true,
"payinTo": true,
"payoutTo": true
},
"accountHolderDetails": {
"name": {
"firstName": "<string>",
"lastName": "<string>"
}
},
"issuerDetails": {}
}
],
"pageToken": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Noah
List payment methods
Retrieves Noah payment methods for the authenticated client.
GET
/
clients
/
me
/
integrations
/
noah
/
payouts
/
payment-methods
List payment methods
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Query Parameters
Number of payment methods to return per page.
Required range:
1 <= x <= 100Pagination token from the previous page.
Filter payment methods by capability.
Available options:
PayoutFrom, PayinTo, PayoutTo Response
Payment methods retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I